//Bf2 Rank Mod menu File
//Contains all the menu checking functions.

#if defined jhd_menu_included
  #endinput
#endif
#define jhd_menu_included

public playerlist(id)
{
	if (!get_pcvar_num(gPcvarJHDActive))
		return PLUGIN_CONTINUE;
    
	new menu = menu_create("\yJHD: Wybierz Gracza", "menu_handler");
 
	new players[32],num;
	get_players(players,num,"h");
	new name[30];
	new player;
	new tempstring[32];
	new idarray[3];
	
	for (new i=0; i<num; i++)
	{
		player=players[i];
		get_user_name(player,name,29);
		formatex(tempstring,49,"\w%s",name);
		formatex(idarray,2,"%i",player);
		menu_additem(menu, tempstring, idarray, 0);
	}

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
	menuselection[id]=MENU_GRACZ;
	menu_display(id, menu, 0);
	
	return PLUGIN_CONTINUE;
}

public wybierziloscfragow(id){
	if (!get_pcvar_num(gPcvarJHDActive))
		return PLUGIN_CONTINUE;
	
	new menu = menu_create("\yJHD: Wybierz liczbe fragow do dodania", "menu_handler");
 
	menu_additem(menu, "\wDodaj 10 fragow", "0", ADMIN_LEVEL);
	menu_additem(menu, "\wDodaj 100 fragow", "1", ADMIN_LEVEL);
	menu_additem(menu, "\wDodaj 1000 fragow", "2", ADMIN_LEVEL);
	menu_additem(menu, "\yDodaj wlasna liczbe fragow", "3", ADMIN_LEVEL);
	menu_additem(menu, "\wWroc", "4", ADMIN_LEVEL|ADMIN_RESET);
	menu_additem(menu, "\dWyjdz", "5");

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
	menuselection[id]=MENU_FRAGI;
	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public adminmenu(id)
{
	if (!get_pcvar_num(gPcvarJHDActive))
		return PLUGIN_CONTINUE;
	
	new menu = menu_create("\yJHD: Administracja", "menu_handler");
 
	menu_additem(menu, "\wDaj graczowi fragi", "0", ADMIN_LEVEL);
	menu_additem(menu, "\rResetuj wszystkie statystyki", "1", ADMIN_RESET);
	menu_additem(menu, "\dWyjdz", "2");

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
	menuselection[id]=MENU_ADMIN;
	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public ask_reset_all_stats(id)
{
	if (!get_pcvar_num(gPcvarJHDActive))
		return PLUGIN_CONTINUE;
	
	new menu = menu_create("\yJHD: Czy na pewno zresetowac wszystkie statystyki?", "menu_handler");
 
	menu_additem(menu, "\rTak, Resetuj wszystkie statystyki", "0", ADMIN_RESET);
	menu_additem(menu, "\wNie, Powroc do glownego Menu", "1", ADMIN_RESET|ADMIN_LEVEL);
	menu_additem(menu, "\dWyjdz", "2");

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
	menuselection[id]=MENU_RESET;
	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public dodaj_fragi(id){
	new fragi[16];
	read_argv(1, fragi, charsmax(fragi));
	remove_quotes(fragi);
	new frags=str_to_num(fragi);
	iloscdodawanychfragow[id]=frags;
	playerlist(id);
}

public menu_handler(id,menu,item)
{
	if (item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_HANDLED;
	}
	else if (item == MENU_BACK)
	{
		menu_display(id, menu, 0);
		return PLUGIN_HANDLED;	
	}

	new data[6], iName[64];
	new access, callback;

	menu_item_getinfo(menu, item, access, data,5, iName, 63, callback);


	if (!(get_user_flags(id) & access) && access)
		return PLUGIN_HANDLED;


	new key=str_to_num(data);

	switch (menuselection[id])
	{
		case MENU_ADMIN:
		{
			switch (key)
			{
				case 0: wybierziloscfragow(id);
				case 1: ask_reset_all_stats(id);
			}
		}
		case MENU_RESET:
		{
			switch (key)
			{
				case 0: reset_all_stats(id);
				case 1: adminmenu(id);
			}
		}
		case MENU_FRAGI:
		{
			switch (key)
			{
				case 0: {iloscdodawanychfragow[id]=10;playerlist(id);}
				case 1: {iloscdodawanychfragow[id]=100;playerlist(id);}
				case 2: {iloscdodawanychfragow[id]=1000;playerlist(id);}
				case 3: client_cmd(id, "messagemode dodaj_fragi");
				case 4: adminmenu(id);
			}
		}
		case MENU_GRACZ:
		{
			new name[30];
			get_user_name(key,name,29);
			new kills=iloscdodawanychfragow[id];
			
			if(kills<0 && (!(get_user_flags(id) && ADMIN_RESET))){
				ColorChat(id,TEAM_COLOR,"[BF2] Nie masz mozliwosci odejmowania fragow");
				menu_destroy(menu);
				return PLUGIN_HANDLED;
			}
			
			totalkills[key]+=kills;
			ColorChat(id,TEAM_COLOR,"[BF2]%d^x03 fragi zostala przyznana dla gracza^x04 %s",kills,name);
			save_badges(key);
			DisplayHUD(key);
			
			new adminauthid[35];
			new awardauthid[35];
			get_user_authid (id,adminauthid,34);
			get_user_authid (key,awardauthid,34);

			log_amx("[BF2-ADMIN]Admin %s przyznal %i fragow graczowi %s",adminauthid,kills,awardauthid);
		}
	}

   	menu_destroy(menu);
    
	return PLUGIN_HANDLED;
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
